Macintosh users won't be crying

Microsoft has released a beta of World Wide Telescope, the application that made Scoble cry. They claim to support the Mac, but if you look at the system requirements, to run it on a Mac, you need an Intel Mac with Windows XP or Vista installed in Boot Camp.

WWT System Requirements
Uploaded with plasq‘s Skitch!

Unfortunately it doesn’t seem to work with VMware. Here’s the result of attempting to run it in VMware 2.0 beta with DirectX 9.0 accelleration enabled.

WorldWide Telescope 2014 WindowsXP
Uploaded with plasq‘s Skitch!

It looks like Microsoft’s idea of Mac support now is simply telling people to install the Windows version and run it in Parallels or Boot Camp. Instead of making a real Mac version of Expression Pro, Microsoft has licensed Parallels Desktop to sell with their Windows product as a Mac version. I wouldn’t be a bit surprised if they do that with the next version of Office, despite the talk of bringing back VBA.

In fact I haven’t installed Office 2008 for the Mac, since the combination of iWork and Office 2003 running under VMware is better. Instead of something sort-of compatible with Windows Office files, I have 100% compatibility plus a nice Mac application when I don’t need full compatibility.

Leave a Reply